Creates a new override shift from provided data. If any existing override shifts overlap with the specified time range, they will be automatically deleted and replaced by the new override.
curl --request POST \
--url https://api.rootly.com/v1/schedules/{schedule_id}/override_shifts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "shifts",
"attributes": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"user_id": 123
}
}
}
'{
"data": {
"id": "<string>",
"type": "shifts",
"attributes": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"created_at": "<string>",
"updated_at": "<string>",
"shift_override": {
"data": {
"id": "<string>",
"type": "shift_override",
"attributes": {
"shift_id": "<string>",
"created_by_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}
},
"user_id": 123,
"user": {
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "<string>",
"type": "on_call_roles"
}
}
}
}
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
returns assignee relationship when schedule nesting enabled
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/schedules/{schedule_id}/override_shifts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "shifts",
"attributes": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"user_id": 123
}
}
}
'{
"data": {
"id": "<string>",
"type": "shifts",
"attributes": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"created_at": "<string>",
"updated_at": "<string>",
"shift_override": {
"data": {
"id": "<string>",
"type": "shift_override",
"attributes": {
"shift_id": "<string>",
"created_by_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}
},
"user_id": 123,
"user": {
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "<string>",
"type": "on_call_roles"
}
}
}
}
}
}
}
}